summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-12 23:33:38 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:38 +0200
commit22596a070d19cc197f88d17d8ad02dd25cccf4fc (patch)
treee3f0de73ff3f7dbc95bccf4e21ea5beb7c21ed52
parentd2add534d477c5dfd6f37bb1f477b94b1562a15d (diff)
downloadslackbuilds-22596a070d19cc197f88d17d8ad02dd25cccf4fc.tar.gz
slackbuilds-22596a070d19cc197f88d17d8ad02dd25cccf4fc.tar.xz
system/ibam: Added to 12.2 repository
-rw-r--r--system/ibam/README7
-rw-r--r--system/ibam/ibam.SlackBuild83
-rw-r--r--system/ibam/ibam.info8
-rw-r--r--system/ibam/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/system/ibam/README b/system/ibam/README
new file mode 100644
index 0000000000..df43e7a375
--- /dev/null
+++ b/system/ibam/README
@@ -0,0 +1,7 @@
+IBAM (Intelligent BAttery Monitor)
+
+IBAM is an advanced battery monitor for laptops, which uses
+statistical and adaptive linear methods to provide accurate
+estimations of minutes of battery left or of the time needed
+until full recharge. This software relies on either APM, ACPI,
+SYSFS or PMU kernel support to access the battery status.
diff --git a/system/ibam/ibam.SlackBuild b/system/ibam/ibam.SlackBuild
new file mode 100644
index 0000000000..47276ccd50
--- /dev/null
+++ b/system/ibam/ibam.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for ibam
+
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ibam
+VERSION=${VERSION:-0.5.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make use of our CFLAGS
+sed -i 's/^CFLAGS=-O3/CFLAGS+=/' Makefile
+CFLAGS="$SLKCFLAGS" make
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install binary by hand
+install -D -m 0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+# There's no manpages
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a REPORT README CHANGES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/ibam/ibam.info b/system/ibam/ibam.info
new file mode 100644
index 0000000000..c3da84f11f
--- /dev/null
+++ b/system/ibam/ibam.info
@@ -0,0 +1,8 @@
+PRGNAM="ibam"
+VERSION="0.5.1"
+HOMEPAGE="http://ibam.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/ibam/ibam-0.5.1.tar.gz"
+MD5SUM="235525af8435727c466fce3fd82a0e3f"
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="rworkman"
diff --git a/system/ibam/slack-desc b/system/ibam/slack-desc
new file mode 100644
index 0000000000..7dcb9a46de
--- /dev/null
+++ b/system/ibam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ibam: IBAM (Intelligent BAttery Monitor)
+ibam:
+ibam: IBAM is an advanced battery monitor for laptops, which uses
+ibam: statistical and adaptive linear methods to provide accurate
+ibam: estimations of minutes of battery left or of the time needed
+ibam: until full recharge. This software relies on either APM, ACPI,
+ibam: SYSFS or PMU kernel support to access the battery status.
+ibam:
+ibam: Homepage: http://ibam.sourceforge.net
+ibam:
+ibam: